Skip to main content
GET
/
ghl
/
contacts
GHL contacts (PII redacted)
curl --request GET \
  --url https://ai.wisepilot.app/api/v1/ghl/contacts \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "contacts": [
      {
        "id": "<string>",
        "name": "<string>",
        "source": "<string>",
        "tags": [
          "<string>"
        ],
        "createdAt": "2023-11-07T05:31:56Z"
      }
    ]
  },
  "meta": {
    "total": 123,
    "limit": 123,
    "offset": 123
  }
}

Authorizations

Authorization
string
header
required

API key prefixed with cr_ (e.g. cr_a1b2c3...)

Query Parameters

website_id
string<uuid>

Website ID. Auto-resolved if key has single website scope.

Search by name

source
string

Filter by contact source

limit
integer
default:50

Max results (default 50, max 200)

Required range: x <= 200
offset
integer
default:0

Pagination offset

Required range: x >= 0

Response

GHL contacts

success
boolean
required
data
object
meta
object